unit uIEditorElegirDireccionEntrega;

interface

uses
  uBizContactos, uBizDireccionesContacto, uGUIBase;

type
  IEditorElegirDireccionEntrega = interface
    ['{AB909782-25E1-4715-B98A-EA62FB9DC03C}']
    function GetContacto: IBizContacto;
    procedure SetContacto(const Value: IBizContacto);
    property Contacto : IBizContacto read GetContacto write SetContacto;

    procedure SetMensaje (const AValue: String);
    function GetMensaje: String;
    property Mensaje : String read GetMensaje write SetMensaje;

    function GetDireccionSeleccionada: IBizDireccionesContacto;
    property DireccionSeleccionada: IBizDireccionesContacto read GetDireccionSeleccionada;

    function ShowModal : Integer;
    procedure Release;    
  end;


implementation

end.

